c***********************************************************************
c
      program sample
c
c  Sample program to illustrate a call to TtauIntp.
c
c  For Debugging:
c  --------------
c  The values of \alpha should be 1.71354329989433, and the first and
c  last values of the Hopf function should be 0.389359253670043 and
c  0.943078980515003, respectively.
c
c  Side Effects:
c  -------------
c  Changes the values of qltau and qhpf of common-block chopf.
c  Prints the interpolate mixing-length parameter and (generalized)
c  radiative Hopf function to standard out.
c
c  Coding history:
c  ---------------
c  04.08.2013: Coded/R.Trampedach (trampeda@lcd.colorado.edu)
c
c  Known bugs: None
c
c***********************************************************************
*
      real*8    Teff, grv, qltau, qhpf, dqhpf, alpha
      integer   Mqtau, Nqtau
      parameter(Mqtau=82)

      common/chopf/ Nqtau, qltau(Mqtau), qhpf(Mqtau), dqhpf(Mqtau)

      Teff = 5.4d3
      grv  = 5d3

      call TtauIntp(Teff,grv,alpha)
      print *,'alpha: ', alpha
      print *,'qHopf: '
      print *, qhpf

      end
